import { ILayoutItem, TLayout } from "@/components";
/**
 * Get all static elements.
 * @param  {Array} layout Array of layout objects.
 * @return {Array}        Array of static layout items.
 * @throws {String}       Empty layout not allowed.
 */
export declare function getAllStaticGridItems(layout: TLayout): ILayoutItem[];
/**
 * Get non all static elements.
 * @param  {Array} layout Array of layout objects.
 * @return {Array}        Array of static layout items.
 * @throws {String}       Empty layout not allowed.
 */
export declare function getAllNonStaticGridItems(layout: TLayout): ILayoutItem[];
