import { IPoint } from '@/core/helpers/point.interface';
/**
 * Get {x, y} positions from event.
 * @param evt
 */
export declare function offsetXYFromParentOf(evt: MouseEvent): IPoint;
export interface IDraggableCoreData {
    deltaX: number;
    deltaY: number;
    lastX: number;
    lastY: number;
    x: number;
    y: number;
}
/**
 * Create a data object exposed by <DraggableCore>'s events
 * @param lastX
 * @param lastY
 * @param x
 * @param y
 */
export declare function createCoreData(lastX: number, lastY: number, x: number, y: number): IDraggableCoreData;
