import { TLayout } from '@/components/Grid/layout-definition';
export declare const layoutValidatorPayload: {
    invalidOptionalLayout: {
        h: number;
        i: number;
        isDraggable: boolean;
        isResizable: boolean;
        isStatic: boolean;
        maxH: number;
        maxW: number;
        minH: number;
        minW: number;
        moved: boolean;
        w: number;
        x: number;
        y: number;
    };
    invalidRequiredLayout: {
        h: number;
        i: number;
        w: number;
        x: number;
        y: string;
    };
    invalidRequiredLayoutTwo: {
        h: number;
        i: number;
        w: number;
        x: number;
    };
    validOptionalLayout: {
        h: number;
        i: number;
        isDraggable: boolean;
        isResizable: boolean;
        isStatic: boolean;
        maxH: number;
        maxW: number;
        minH: number;
        minW: number;
        moved: boolean;
        w: number;
        x: number;
        y: number;
    };
    validRequiredLayout: {
        h: number;
        i: number;
        w: number;
        x: number;
        y: number;
    };
};
/**
 * Validates that a layout is valid.
 * @param layout
 * @returns True if layout is valid
 */
export declare const layoutValidator: (layout: TLayout) => boolean;
